Returns the list of rounding rules, optionally filtered by currency and countryThe RangeBehavior on each RoundingRange selects one of the behaviors below. Expand for the calculation logic, the important notices, and worked samples.
RangeBehaviors enumeration — calculation logic
1 — Absolute target. In this behavior all the values within the specified range (LowerTarget, UpperTarget, Threshold and RoundingExceptions) denote the values themselves as is, without the need for any additional math operations. Getting rounding result (R) for the source number (S) must be implemented as follows:
If (S = Exceptionn) then R = ExceptionnIf (S < Threshold) then R = LowerTargetIf (S >= Threshold) then R = UpperTarget
2 — Relative Decimal target. In this behavior all the values within the specified range (LowerTarget, UpperTarget, Threshold and RoundingExceptions) represent floating point numbers between 0 (inclusive) and 1 (inclusive), used to calculate the respective absolute values, relative to the calculation base (B) as follows:
For source number (S): B = whole part of SLowerTarget (absolute): LA = B – 1 + LowerTargetUpperTarget (absolute): UA = B + UpperTargetThreshold (absolute): TA = B + ThresholdExceptionn (absolute): EAn = B + ExceptionnIf (S = EAn) then Result (R) = EAnIf (S < TA) then R = LAIf (S >= TA) then R = UA
3 — Relative Whole target. In this behavior ALL the values within the specified range (LowerTarget, UpperTarget, Threshold and RoundingExceptions) represent non-negative whole numbers, while TargetBehaviorHelperValue (V) is used to determine the calculation base (B). V must be a power of 10 (10, 100, 1000, etc.) and denotes the order of magnitude for the range “split” by the Threshold. For example, if Threshold = 9 we need to know if this is 9 out of 10 or 9 out of 100. Getting rounding result (R) for the source number (S) must be implemented as follows:
For source number (S): B = S rounded down to the closest multiple of VFor example if (S = 56789 and V = 1000) then B = 56000LowerTarget (absolute): LA = B – V + LowerTargetUpperTarget (absolute): UA = B + UpperTargetThreshold (absolute): TA = B + ThresholdExceptionn (absolute): EAn = B + ExceptionnIf (S = EAn) then Result (R) = EAnIf (S < TA) then R = LAIf (S >= TA) then R = UA
4 — Nearest target. In this behavior, LowerTarget and UpperTarget represent non-negative floating-point numbers, while TargetBehaviorHelperValue (V) is used to determine the calculation base (B). V must be a whole divisor of any power of 10 (5, 10, 25, 50, 100, 250, 500, 1000, etc.). The threshold must be any floating-point number between 0 (inclusive) and V (exclusive). Getting rounding result (R) for the source number (S) must be implemented as follows:
For source number (S): B = S rounded down to the closest multiple of VFor example, if (S = 123 and V = 5) then B = 120LowerTarget (absolute): LA = B – 1 + LowerTargetUpperTarget (absolute): UA = B – 1 + V + UpperTargetThreshold (absolute): TA = B + ThresholdExceptionn (absolute): EAn = B + ExceptionnIf (S = EAn) then Result (R) = EAnIf (S < TA) then R = LAIf (S >= TA) then R = UA
Important notices
If the result of rounding is a negative number, it must be set to zero, for any rounding behavior defined in the table above.
If either LowerTarget or UpperTarget value violates MaxDecimalPlaces setting for the respective currency, this value must be truncated accordingly. For example, if UpperTarget is set to 0.999 for USD, it must be truncated to 0.99 before using in any further calculations.
Rounding rules samples
The following samples indicate how rounding X to Y (X → Y) is implemented using the respective settings. Each numbered column is one settings scenario together with its sample results (re-extracted from the source table, preserving column alignment).
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Global-e Docs","colors":{"primary":"#F15A2B","light":"#F57C00","dark":"#C2451F"},"logo":{"light":"https://mintcdn.com/globale-enterprise/xvASI8IP64Cj0kr_/logo/light.png?fit=max\u0026auto=format\u0026n=xvASI8IP64Cj0kr_\u0026q=85\u0026s=3b5849fa849995b81b219c94b874d44f","dark":"https://mintcdn.com/globale-enterprise/xvASI8IP64Cj0kr_/logo/dark.png?fit=max\u0026auto=format\u0026n=xvASI8IP64Cj0kr_\u0026q=85\u0026s=4b3c45ba5ba14d2aadb54b500e20183c","href":"/introduction"},"favicon":"https://mintcdn.com/globale-enterprise/tw35F3WiyJ8sxtxX/favicon.png?fit=max\u0026auto=format\u0026n=tw35F3WiyJ8sxtxX\u0026q=85\u0026s=261a34ff25dc6eee4c7acf742bba08b5","api":{"playground":{"display":"simple"}},"background":{"decoration":"gradient"},"navbar":{"links":[{"href":"https://status.global-e.com/","label":"Status Page"},{"href":"https://trustcenter.global-e.com","label":"Trust Center"},{"href":"/contact-us","label":"Escalating a Ticket"}]},"styling":{"eyebrows":"breadcrumbs","latex":true},"contextual":{"options":[],"display":"header"},"interaction":{"drilldown":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"globale-enterprise","hasAudioNarration":false,"actualSubdomain":"globale-enterprise","customDomains":["docs.global-e.com"],"gitSource":{"type":"gitlab","owner":"global-e/product","repo":"mintlify-docs","deployBranch":"main","contentDirectory":"enterprise","isPrivate":true,"projectId":84016925,"mountPath":"","label":""},"chroma":{"collectionId":"512fb028-3e65-4b3e-a3cf-b3550e4b3bb3","liveDeploymentHistoryId":"6ae36b0095eb8a3e5a09981b","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae36b0095eb8a3e5a09981b"},"feedback":{"thumbs":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae36b0095eb8a3e5a09981b","clientVersion":"0.0.4043","searchFilterCounts":[{"language":"default","tag":"Documentation","count":477},{"language":"default","tag":"Topics","count":477},{"language":"default","tag":"eCommerce Integration","count":182},{"language":"default","tag":"API Reference","count":80},{"language":"default","tag":"Global-e: The Basics","count":74},{"language":"default","tag":"SDK and API","count":53},{"language":"default","tag":"SFCC","count":48},{"language":"default","tag":"Merchant Portal","count":44},{"language":"default","tag":"New Returns Portal for All Platforms (Excluding Shopify)","count":44},{"language":"default","tag":"New Returns Portal for Shopify","count":38}],"searchSettings":{"maxResults":15}},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","href":"/_mintlify/custom/globale-enterprise/bdd88c3538cea5b1/style.css"}],"page":{"pagePath":"api-reference/rounding-rules","slug":"/api-reference/rounding-rules","pageMetadata":{"contextual":{"options":[{"title":"View YAML","description":"Open the OpenAPI spec for this endpoint","icon":"file-code","href":"/api-reference/specs/roundingrules.yaml"},"download-spec","copy","view","chatgpt","claude"]},"title":"Rounding rules (Merchant to Global-e)","sidebarTitle":"Rounding rules","description":"Returns the list of rounding rules for a merchant, optionally filtered by currency and country.","openapi":"api-reference/specs/roundingrules.yaml POST /Browsing/RoundingRules","href":"/api-reference/rounding-rules"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Returns the list of rounding rules for a merchant, optionally filtered by currency and country.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,ul:`ul`,..._provideComponents(),...props.components},{Accordion,AccordionGroup,CodeBlock,Table}=_components;if(!Accordion)_missingMdxReference(`Accordion`,true);if(!AccordionGroup)_missingMdxReference(`AccordionGroup`,true);if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Returns the list of rounding rules, optionally filtered by currency and country`}),`\n`,_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`RangeBehavior`}),` on each `,_jsx(_components.code,{children:`RoundingRange`}),` selects one of the behaviors below. Expand for the calculation logic, the important notices, and worked samples.`]}),`\n`,_jsxs(AccordionGroup,{children:[_jsxs(Accordion,{title:`RangeBehaviors enumeration — calculation logic`,id:`rangebehaviors-enumeration-calculation-logic`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`1 — Absolute target.`}),` In this behavior all the values within the specified range (`,_jsx(_components.code,{children:`LowerTarget`}),`, `,_jsx(_components.code,{children:`UpperTarget`}),`, `,_jsx(_components.code,{children:`Threshold`}),` and `,_jsx(_components.code,{children:`RoundingExceptions`}),`) denote the values themselves as is, without the need for any additional math operations. Getting rounding result (R) for the source number (S) must be implemented as follows:`]}),_jsx(CodeBlock,{numberOfLines:`4`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`If (S = Exceptionn) then R = Exceptionn`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`If (S \u003c Threshold) then R = LowerTarget`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`If (S >= Threshold) then R = UpperTarget`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`2 — Relative Decimal target.`}),` In this behavior all the values within the specified range (`,_jsx(_components.code,{children:`LowerTarget`}),`, `,_jsx(_components.code,{children:`UpperTarget`}),`, `,_jsx(_components.code,{children:`Threshold`}),` and `,_jsx(_components.code,{children:`RoundingExceptions`}),`) represent floating point numbers between 0 (inclusive) and 1 (inclusive), used to calculate the respective absolute values, relative to the calculation base (B) as follows:`]}),_jsx(CodeBlock,{numberOfLines:`9`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`9`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`For source number (S): B = whole part of S`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`LowerTarget (absolute): LA = B – 1 + LowerTarget`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`UpperTarget (absolute): UA = B + UpperTarget`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`Threshold (absolute): TA = B + Threshold`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`Exceptionn (absolute): EAn = B + Exceptionn`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`If (S = EAn) then Result (R) = EAn`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`If (S \u003c TA) then R = LA`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`If (S >= TA) then R = UA`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`3 — Relative Whole target.`}),` In this behavior ALL the values within the specified range (`,_jsx(_components.code,{children:`LowerTarget`}),`, `,_jsx(_components.code,{children:`UpperTarget`}),`, `,_jsx(_components.code,{children:`Threshold`}),` and `,_jsx(_components.code,{children:`RoundingExceptions`}),`) represent non-negative whole numbers, while `,_jsx(_components.code,{children:`TargetBehaviorHelperValue`}),` (V) is used to determine the calculation base (B). V must be a power of 10 (10, 100, 1000, etc.) and denotes the order of magnitude for the range “split” by the Threshold. For example, if Threshold = 9 we need to know if this is 9 out of 10 or 9 out of 100. Getting rounding result (R) for the source number (S) must be implemented as follows:`]}),_jsx(CodeBlock,{numberOfLines:`10`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`10`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`For source number (S): B = S rounded down to the closest multiple of V`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`For example if (S = 56789 and V = 1000) then B = 56000`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`LowerTarget (absolute): LA = B – V + LowerTarget`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`UpperTarget (absolute): UA = B + UpperTarget`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`Threshold (absolute): TA = B + Threshold`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`Exceptionn (absolute): EAn = B + Exceptionn`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`If (S = EAn) then Result (R) = EAn`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`If (S \u003c TA) then R = LA`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`If (S >= TA) then R = UA`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`4 — Nearest target.`}),` In this behavior, `,_jsx(_components.code,{children:`LowerTarget`}),` and `,_jsx(_components.code,{children:`UpperTarget`}),` represent non-negative floating-point numbers, while `,_jsx(_components.code,{children:`TargetBehaviorHelperValue`}),` (V) is used to determine the calculation base (B). V must be a whole divisor of any power of 10 (5, 10, 25, 50, 100, 250, 500, 1000, etc.). The threshold must be any floating-point number between 0 (inclusive) and V (exclusive). Getting rounding result (R) for the source number (S) must be implemented as follows:`]}),_jsx(CodeBlock,{numberOfLines:`10`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`10`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`For source number (S): B = S rounded down to the closest multiple of V`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`For example, if (S = 123 and V = 5) then B = 120`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`LowerTarget (absolute): LA = B – 1 + LowerTarget`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`UpperTarget (absolute): UA = B – 1 + V + UpperTarget`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`Threshold (absolute): TA = B + Threshold`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`Exceptionn (absolute): EAn = B + Exceptionn`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`If (S = EAn) then Result (R) = EAn`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`If (S \u003c TA) then R = LA`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`If (S >= TA) then R = UA`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsx(Accordion,{title:`Important notices`,id:`important-notices`,children:_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`If the result of rounding is a negative number, it must be set to zero, for any rounding behavior defined in the table above.`}),`\n`,_jsxs(_components.li,{children:[`If either `,_jsx(_components.code,{children:`LowerTarget`}),` or `,_jsx(_components.code,{children:`UpperTarget`}),` value violates MaxDecimalPlaces setting for the respective currency, this value must be truncated accordingly. For example, if `,_jsx(_components.code,{children:`UpperTarget`}),` is set to 0.999 for USD, it must be truncated to 0.99 before using in any further calculations.`]}),`\n`]})}),_jsxs(Accordion,{title:`Rounding rules samples`,id:`rounding-rules-samples`,children:[_jsx(_components.p,{children:`The following samples indicate how rounding X to Y (X → Y) is implemented using the respective settings. Each numbered column is one settings scenario together with its sample results (re-extracted from the source table, preserving column alignment).`}),_jsx(`div`,{className:`ge-api-rounding-samples-table`,children:_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Setting`}),_jsx(_components.th,{children:`1`}),_jsx(_components.th,{children:`2`}),_jsx(_components.th,{children:`3`}),_jsx(_components.th,{children:`4`}),_jsx(_components.th,{children:`5`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`Sample results (X → Y)`}),_jsxs(_components.td,{\"data-numeric\":`true`,children:[`0.25 → 0`,_jsx(`br`,{}),`3 → 0`,_jsx(`br`,{}),`1.5 → 1.5`,_jsx(`br`,{}),`2 → 2`]}),_jsxs(_components.td,{\"data-numeric\":`true`,children:[`22.47 → 21.95`,_jsx(`br`,{}),`22.48 → 22.99`,_jsx(`br`,{}),`22.50 → 22.50`,_jsx(`br`,{}),`33.75 → 33.75`]}),_jsxs(_components.td,{\"data-numeric\":`true`,children:[`2047 → 1995`,_jsx(`br`,{}),`2048 → 2100`]}),_jsxs(_components.td,{\"data-numeric\":`true`,children:[`122.26 → 124.99`,_jsx(`br`,{}),`122.25 → 119.99`,_jsx(`br`,{}),`127.26 → 129.99`,_jsx(`br`,{}),`121.50 → 121.50`,_jsx(`br`,{}),`127.50 → 127.50`,_jsx(`br`,{}),`123 → 123`,_jsx(`br`,{}),`128 → 128`]}),_jsxs(_components.td,{\"data-numeric\":`true`,children:[`2047 → 1999`,_jsx(`br`,{}),`2048 → 2100`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`From`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`0`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`1`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`1000`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`100`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`1000`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`To`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`3`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`250`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`10000`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`1000`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`10000`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`Threshold`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`3.01`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`0.48`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`48`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`2.26`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`48`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`LowerTarget`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`0`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`0.95`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`95`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`0.99`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`0`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`UpperTarget`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`0`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`0.99`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`100`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`0.99`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`1`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`RangeBehavior`}),_jsx(_components.td,{children:`1 Absolute`}),_jsx(_components.td,{children:`2 Relative Decimal`}),_jsx(_components.td,{children:`3 Relative Whole`}),_jsx(_components.td,{children:`4 Nearest`}),_jsx(_components.td,{children:`4 Nearest`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`TargetBehaviorHelperValue`}),_jsx(_components.td,{}),_jsx(_components.td,{}),_jsx(_components.td,{\"data-numeric\":`true`,children:`100`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`5`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`100`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`RoundingExceptions`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`1.5, 2`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`0.50, 0.75`}),_jsx(_components.td,{}),_jsx(_components.td,{\"data-numeric\":`true`,children:`1.50, 2.50, 3`}),_jsx(_components.td,{})]})]})]})})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"contextual":{"options":[{"title":"View YAML","description":"Open the OpenAPI spec for this endpoint","icon":"file-code","href":"/api-reference/specs/roundingrules.yaml"},"download-spec","copy","view","chatgpt","claude"]},"title":"Rounding rules (Merchant to Global-e)","sidebarTitle":"Rounding rules","description":"Returns the list of rounding rules for a merchant, optionally filtered by currency and country.","openapi":"api-reference/specs/roundingrules.yaml POST /Browsing/RoundingRules","href":"/api-reference/rounding-rules"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/globale-enterprise/3a1555eec05adf43/feedback-link.js","/_mintlify/custom/globale-enterprise/07a4be9d6ed97624/footer-legal.js","/_mintlify/custom/globale-enterprise/49711f0bc5d1b97e/country-table.js","/_mintlify/custom/globale-enterprise/d9fcdd3337ee5e98/assistant-open-full.js"],"openApiReferenceData":{"operation":{"summary":"Returns the list of rounding rules, optionally filtered by currency and country","description":"Returns the list of rounding rules for a merchant, optionally filtered by currency and country.","operationId":"roundingRules","tags":["RoundingRules"],"parameters":["b24f3159-2520-4141-9bb2-94190782dd42","6967d634-aaaa-44b5-b94b-92f42a5fb4eb"],"responses":{"200":"73be76c1-318c-4b38-bb54-aa3c3a4e7685"},"method":"post","type":"path","servers":["38d7ff40-54a2-43e1-8af4-3deac71145f3"],"security":[],"path":"/Browsing/RoundingRules","baseUrlOptions":["https://{globale_api_domain}"],"title":"Returns the list of rounding rules, optionally filtered by currency and country","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"b24f3159-2520-4141-9bb2-94190782dd42":{"name":"countryCode","in":"query","required":false,"description":"2-char ISO country code. If not specified, rounding rules for all the countries supported by the Merchant will be returned","schema":{"type":"string","isRequired":false,"description":"2-char ISO country code. If not specified, rounding rules for all the countries supported by the Merchant will be returned","uniqueKey":"","typeLabel":"string"}},"6967d634-aaaa-44b5-b94b-92f42a5fb4eb":{"name":"currencyCode","in":"query","required":false,"description":"3-char ISO currency code. If not specified, rounding rules for all the currencies supported by the Merchant will be returned","schema":{"type":"string","isRequired":false,"description":"3-char ISO currency code. If not specified, rounding rules for all the currencies supported by the Merchant will be returned","uniqueKey":"","typeLabel":"string"}}},"responses":{"73be76c1-318c-4b38-bb54-aa3c3a4e7685":{"description":"List of rounding rules.","content":{"application/json":{"schema":{"type":"object","properties":{"RoundingRule":{"type":"array","description":"Returns list of rounding rules for currency.","items":{"type":"object","title":"RoundingRule","properties":{"CountryCode":{"type":"string","description":"2-char ISO country code","uniqueKey":"RoundingRule.items.[INDEX].CountryCode","typeLabel":"string"},"CurrencyCode":{"type":"string","description":"3-char ISO currency code","uniqueKey":"RoundingRule.items.[INDEX].CurrencyCode","typeLabel":"string"},"RoundingRanges":{"type":"array","description":"List of decimal ranges and their respective rounding behavior.","items":{"type":"object","title":"RoundingRange","properties":{"From":{"type":"number","description":"A decimal value of the range start, exclusive of the From value itself. If a range must start from 0 inclusive, the From value must be set to a negative number.","uniqueKey":"RoundingRule.items.[INDEX].RoundingRanges.items.[INDEX].From","typeLabel":"number"},"LowerTarget":{"type":"number","description":"A decimal value used to calculate the target rounded value, for the numbers less than the Threshold , according to the defined Range behavior. If the LowerTarget value violates the MaxDecimalPlaces setting for the respective currency, it must be truncated as described in the “ Important Notices ” below.","uniqueKey":"RoundingRule.items.[INDEX].RoundingRanges.items.[INDEX].LowerTarget","typeLabel":"number"},"RangeBehavior":{"type":"number","enum":[1,2,3,4],"description":"One of the possible values of RangeBehaviors enumeration defined below which is designed to control the way rounding range is handled. The range behavior is applied to Threshold , LowerTarget , UpperTarget and Exceptions in the RoundingExceptions list.","uniqueKey":"RoundingRule.items.[INDEX].RoundingRanges.items.[INDEX].RangeBehavior","typeLabel":"enum\u003cnumber>"},"RoundingExceptions":{"type":"array","description":"List of decimal values used to calculate the exceptions for rounding, i.e. values not to apply rounding for.","items":{"type":"object","title":"RoundingException","properties":{"ExceptionValue":{"type":"number","description":"A decimal value to avoid rounding for. Rounding exceptions always behave like “Relative Decimal”","uniqueKey":"RoundingRule.items.[INDEX].RoundingRanges.items.[INDEX].RoundingExceptions.items.[INDEX].ExceptionValue","typeLabel":"number"}},"uniqueKey":"RoundingRule.items.[INDEX].RoundingRanges.items.[INDEX].RoundingExceptions.items.[INDEX]","typeLabel":"RoundingException · object"},"uniqueKey":"RoundingRule.items.[INDEX].RoundingRanges.items.[INDEX].RoundingExceptions","typeLabel":"RoundingException · object[]"},"TargetBehaviorHelperValue":{"type":"number","description":"A decimal value required for the “nearest target” and “relative whole target” behavior.","uniqueKey":"RoundingRule.items.[INDEX].RoundingRanges.items.[INDEX].TargetBehaviorHelperValue","typeLabel":"number"},"Threshold":{"type":"number","description":"A decimal value used to split the range so that the values less than the threshold would be rounded to the Lower target, and values greater than or equal to the threshold would be rounded to the Upper target. For the \"Absolute target,\" the threshold range is an absolute value. Other Ranges are Relative values. See the absolute target in Rounding Range for more information.","uniqueKey":"RoundingRule.items.[INDEX].RoundingRanges.items.[INDEX].Threshold","typeLabel":"number"},"To":{"type":"number","description":"A decimal value of the range end, inclusive.","uniqueKey":"RoundingRule.items.[INDEX].RoundingRanges.items.[INDEX].To","typeLabel":"number"},"UpperTarget":{"type":"number","description":"A decimal value used to calculate the target rounded value, for the numbers greater than or equal to the Threshold, according to the defined Range behavior. If the UpperTarget value violates the MaxDecimalPlaces setting for the respective currency, it must be truncated as described in the “Important Notices” below.","uniqueKey":"RoundingRule.items.[INDEX].RoundingRanges.items.[INDEX].UpperTarget","typeLabel":"number"}},"uniqueKey":"RoundingRule.items.[INDEX].RoundingRanges.items.[INDEX]","typeLabel":"RoundingRange · object"},"uniqueKey":"RoundingRule.items.[INDEX].RoundingRanges","typeLabel":"RoundingRange · object[]"},"RoundingRuleId":{"type":"number","description":"Rule identifier denoting the respective Rounding Rule on the Global‑e side. This value must be further specified when calling SaveProductsList and SendCart methods","uniqueKey":"RoundingRule.items.[INDEX].RoundingRuleId","typeLabel":"number"}},"uniqueKey":"RoundingRule.items.[INDEX]","typeLabel":"RoundingRule · object"},"uniqueKey":"RoundingRule","typeLabel":"RoundingRule · object[]"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"RoundingRule":[{"CountryCode":"\u003cstring>","CurrencyCode":"\u003cstring>","RoundingRanges":[{"From":123,"LowerTarget":123,"RangeBehavior":1,"RoundingExceptions":[{"ExceptionValue":123}],"TargetBehaviorHelperValue":123,"Threshold":123,"To":123,"UpperTarget":123}],"RoundingRuleId":123}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{},"servers":{"38d7ff40-54a2-43e1-8af4-3deac71145f3":{"url":"https://{globale_api_domain}","variables":{"globale_api_domain":{"default":"globale_api_domain","description":"Global-e API host, supplied to the merchant by Global-e."}}}}},"originalFileLocation":"api-reference/specs/roundingrules.yaml"},"subdomain":"globale-enterprise","siteName":"Global-e Docs","title":"Rounding rules (Merchant to Global-e) - Global-e Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-21T05:27:09.328Z","originalFileLocation":"api-reference/rounding-rules.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Returns the list of rounding rules for a merchant, optionally filtered by currency and country.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Global-e Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/globale-enterprise/EOVvyAKmQUMv4BUM/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/globale-enterprise/EOVvyAKmQUMv4BUM/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/globale-enterprise/EOVvyAKmQUMv4BUM/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/globale-enterprise/EOVvyAKmQUMv4BUM/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/globale-enterprise/EOVvyAKmQUMv4BUM/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/globale-enterprise/EOVvyAKmQUMv4BUM/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/globale-enterprise/EOVvyAKmQUMv4BUM/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/globale-enterprise/EOVvyAKmQUMv4BUM/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/globale-enterprise/EOVvyAKmQUMv4BUM/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Rounding rules (Merchant to Global-e) - Global-e Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Returns the list of rounding rules for a merchant, optionally filtered by currency and country.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Global-e Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.global-e.com/api-reference/rounding-rules\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://globale-enterprise.mintlify.app/_mintlify/api/og/v2?division=Browsing+%26+Catalog\u0026amp;title=Rounding+rules+%28Merchant+to+Global-e%29\u0026amp;description=Returns+the+list+of+rounding+rules+for+a+merchant%2C+optionally+filtered+by+currency+and+country.\u0026amp;theme=ba448c405b24dd48494124de\u0026amp;signature=1dbef4e2b3f9239a5db341e3c1772c56735cd5e9353310f65996c5e7461fa3b1\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Rounding rules (Merchant to Global-e) - Global-e Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Returns the list of rounding rules for a merchant, optionally filtered by currency and country.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://globale-enterprise.mintlify.app/_mintlify/api/og/v2?division=Browsing+%26+Catalog\u0026amp;title=Rounding+rules+%28Merchant+to+Global-e%29\u0026amp;description=Returns+the+list+of+rounding+rules+for+a+merchant%2C+optionally+filtered+by+currency+and+country.\u0026amp;theme=ba448c405b24dd48494124de\u0026amp;signature=1dbef4e2b3f9239a5db341e3c1772c56735cd5e9353310f65996c5e7461fa3b1\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/globale-enterprise/EOVvyAKmQUMv4BUM/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Global-e Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#F15A2B\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.global-e.com/api-reference/rounding-rules\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/rounding-rules.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.global-e.com/#organization\",\"name\":\"Global-e Docs\",\"url\":\"https://docs.global-e.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/globale-enterprise/xvASI8IP64Cj0kr_/logo/light.png?fit=max\u0026auto=format\u0026n=xvASI8IP64Cj0kr_\u0026q=85\u0026s=3b5849fa849995b81b219c94b874d44f\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.global-e.com#website\",\"name\":\"Global-e Docs\",\"url\":\"https://docs.global-e.com\",\"publisher\":{\"@id\":\"https://docs.global-e.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.global-e.com/api-reference/rounding-rules#webpage\",\"url\":\"https://docs.global-e.com/api-reference/rounding-rules\",\"name\":\"Rounding rules (Merchant to Global-e)\",\"description\":\"Returns the list of rounding rules for a merchant, optionally filtered by currency and country.\",\"dateModified\":\"2026-10-21T05:27:09.328Z\",\"isPartOf\":{\"@id\":\"https://docs.global-e.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.global-e.com/api-reference/rounding-rules#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.global-e.com/api-reference/rounding-rules#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Browsing \u0026 Catalog\",\"item\":\"https://docs.global-e.com/api-reference/active-hub-details\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Rounding rules (Merchant to Global-e)\",\"item\":\"https://docs.global-e.com/api-reference/rounding-rules\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.global-e.com/api-reference/rounding-rules#apireference\",\"headline\":\"Rounding rules (Merchant to Global-e)\",\"name\":\"Rounding rules (Merchant to Global-e)\",\"description\":\"Returns the list of rounding rules for a merchant, optionally filtered by currency and country.\",\"url\":\"https://docs.global-e.com/api-reference/rounding-rules\",\"mainEntityOfPage\":{\"@id\":\"https://docs.global-e.com/api-reference/rounding-rules#webpage\"},\"dateModified\":\"2026-10-21T05:27:09.328Z\",\"publisher\":{\"@id\":\"https://docs.global-e.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.global-e.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Global-e Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Global-e Docs","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/global-e-enablement-platform"}]},{"tab":"API Reference","groups":[{"group":"Overview","pages":[{"title":"API Reference","href":"/api-reference/overview"},{"title":"API Authentication","href":"/api-authentication"}]},{"group":"Shipping","pages":[{"title":"Get shipping documents (Merchant to Global-e)","sidebarTitle":"Get shipping documents","openapi":"api-reference/specs/getshippingdocuments.yaml POST /Order/GetShippingDocuments","href":"/api-reference/get-shipping-documents"},{"title":"Get shipping details (Merchant to Global-e)","sidebarTitle":"Get shipping details","openapi":"api-reference/specs/getshippingdetails.yaml POST /ShippingDetails/GetShippingDetails","href":"/api-reference/get-shipping-details"},{"title":"Get shipping details extended (Merchant to Global-e)","sidebarTitle":"Get shipping details extended","openapi":"api-reference/specs/getshippingdetailsextended.yaml POST /ShippingDetails/GetShippingDetailsExtended","href":"/api-reference/get-shipping-details-extended"},{"title":"Dispatch orders (Merchant to Global-e)","sidebarTitle":"Dispatch orders","openapi":"api-reference/specs/dispatchorders.yaml POST /Order/DispatchOrders","href":"/api-reference/dispatch-orders"},{"title":"Dispatch consolidated shipment (Merchant to Global-e)","sidebarTitle":"Dispatch consolidated shipment","openapi":"api-reference/specs/dispatchconsolidatedshipment.yaml POST /Order/DispatchConsolidatedShipment","href":"/api-reference/dispatch-consolidated-shipment"},{"title":"Get tracking events (Merchant to Global-e)","sidebarTitle":"Get tracking events","openapi":"api-reference/specs/gettrackingevents.yaml POST /Shipment/GetTrackingEvents","href":"/api-reference/get-tracking-events"},{"title":"Void parcel (Merchant to Global-e)","sidebarTitle":"Void parcel","openapi":"api-reference/specs/voidparcel.yaml POST /Parcel/VoidParcel","href":"/api-reference/void-parcel"},{"title":"Submit bonded information (Merchant to Global-e)","sidebarTitle":"Submit bonded information","openapi":"api-reference/specs/submitbondedinformation.yaml POST /api/merchant/parcels/bonded-information","href":"/api-reference/submit-bonded-information"},{"title":"Upload shipment documents (Merchant to Global-e)","sidebarTitle":"Upload shipment documents","openapi":"api-reference/specs/uploadshipmentdocuments.yaml POST /api/shipments/documents/upload","href":"/api-reference/upload-shipment-documents"},{"title":"Get shipment information (Merchant to Global-e)","sidebarTitle":"Get shipment information","openapi":"api-reference/specs/getshipmentinformation.yaml GET /api/shipments/{trackingNumber}","href":"/api-reference/get-shipment-information"}]},{"group":"Orders","pages":[{"title":"Create order (Merchant to Global-e)","sidebarTitle":"Create order","openapi":"api-reference/specs/createorder.yaml POST /checkout/CreateOrder","href":"/api-reference/create-order"},{"title":"Edit order (Merchant to Global-e)","sidebarTitle":"Edit order","openapi":"api-reference/specs/editorder.yaml POST /api/orders/changes","href":"/api-reference/edit-order"},{"title":"Quote order changes (Merchant to Global-e)","sidebarTitle":"Quote order changes","openapi":"api-reference/specs/editorder.yaml POST /api/orders/changes/quote","href":"/api-reference/edit-order-quote"},{"title":"Update Order Dispatch","openapi":"api-reference/specs/updateorderdispatch.yaml POST /Order/UpdateOrderDispatch","href":"/api-reference/update-order-dispatch"},{"title":"Update parcel status (Merchant to Global-e)","sidebarTitle":"Update parcel status","openapi":"api-reference/specs/updateparcelstatus.yaml POST /orders/{orderId}/parcels/{parcelCode}/statuses","href":"/api-reference/update-parcel-status"},{"title":"Update Order Status","openapi":"api-reference/specs/updateorderstatus.yaml POST /Order/UpdateOrderStatus","href":"/api-reference/update-order-status"},{"title":"Create order refund (Merchant to Global-e)","sidebarTitle":"Create order refund","openapi":"api-reference/specs/createorderrefund.yaml POST /Order/CreateOrderRefund","href":"/api-reference/create-order-refund"},{"title":"Create order platform (Merchant to Global-e)","sidebarTitle":"Create order platform","openapi":"api-reference/specs/createorderplatform.yaml POST /Checkout/CreateOrderPlatform","href":"/api-reference/create-order-platform"},{"title":"Update Order Products (Merchant to Global-e)","sidebarTitle":"Update Order Products","openapi":"api-reference/specs/updateorderproducts.yaml POST /Order/UpdateOrderProducts","href":"/api-reference/update-order-products"},{"title":"UpdateOrderDispatchV2","openapi":"api-reference/specs/updateorderdispatchv2.yaml POST /Order/UpdateOrderDispatchV2","href":"/api-reference/update-order-dispatch-v2"},{"title":"Create Additional Required Documents (Merchant to Global-e)","sidebarTitle":"Create Additional Required Documents","openapi":"api-reference/specs/createadditionalrequireddocuments.yaml POST /additional-required-documents","href":"/api-reference/create-additional-required-documents"},{"title":"Get refund details (Merchant to Global-e)","sidebarTitle":"Get refund details","openapi":"api-reference/specs/getrefunddetails.yaml GET /v1/orders/{orderId}/refunds","href":"/api-reference/get-refund-details"},{"title":"Sending Bulk Emails (Merchant to Global-e)","sidebarTitle":"Sending Bulk Emails","openapi":"api-reference/specs/sendbulkemails.yaml POST /emails","href":"/api-reference/send-bulk-emails"}]},{"group":"Returns","pages":[{"title":"Get return shipping options (Merchant to Global-e)","sidebarTitle":"Get return shipping options","openapi":"api-reference/specs/getreturnshippingoptions.yaml POST /Return/GetReturnShippingOptions","href":"/api-reference/get-return-shipping-options"},{"title":"Get return documents (Merchant to Global-e)","sidebarTitle":"Get return documents","openapi":"api-reference/specs/getreturndocuments.yaml POST /Return/GetReturnDocuments","href":"/api-reference/get-return-documents"},{"title":"Update RMA (Merchant to Global-e)","sidebarTitle":"Update RMA","openapi":"api-reference/specs/updaterma.yaml POST /Return/UpdateRMA","href":"/api-reference/update-rma"}]},{"group":"Gift Cards","pages":[{"title":"Validate gift card","openapi":"api-reference/specs/giftcards.yaml POST /ValidateGiftCard","href":"/api-reference/validate-gift-card"},{"title":"Redeem gift card","openapi":"api-reference/specs/giftcards.yaml POST /RedeemGiftCard","href":"/api-reference/redeem-gift-card"},{"title":"Refund gift card","openapi":"api-reference/specs/giftcards.yaml POST /RefundGiftCard","href":"/api-reference/refund-gift-card"}]},{"group":"Checkout","pages":[{"title":"SendCartV2 (Merchant to Global-e)","sidebarTitle":"SendCartV2","openapi":"api-reference/specs/sendcartv2.yaml POST /Checkout/SendCartV2","href":"/api-reference/send-cart-v2"}]},{"group":"Pricing","pages":[{"title":"Get catalog prices (Merchant to Global-e)","sidebarTitle":"Get catalog prices","openapi":"api-reference/specs/getcatalogprices.yaml POST /Browsing/GetCatalogPrices","href":"/api-reference/get-catalog-prices"},{"title":"GetMerchantPriceDetails (Merchant to Global-e)","sidebarTitle":"GetMerchantPriceDetails","openapi":"api-reference/specs/getmerchantpricedetails.yaml GET /externalapi/GetMerchantPriceDetails","href":"/api-reference/get-merchant-price-details"}]},{"group":"Browsing \u0026 Catalog","pages":[{"title":"Active hub details (Merchant to Global-e)","sidebarTitle":"Active hub details","openapi":"api-reference/specs/activehubdetails.yaml POST /Browsing/ActiveHubDetails","href":"/api-reference/active-hub-details"},{"title":"App settings (Merchant to Global-e)","sidebarTitle":"App settings","openapi":"api-reference/specs/appsettings.yaml POST /Browsing/AppSettings","href":"/api-reference/app-settings"},{"title":"App version (Merchant to Global-e)","sidebarTitle":"App version","openapi":"api-reference/specs/appversion.yaml POST /Browsing/AppVersion","href":"/api-reference/app-version"},{"title":"Countries (Merchant to Global-e)","sidebarTitle":"Countries","openapi":"api-reference/specs/countries.yaml POST /Browsing/Countries","href":"/api-reference/countries"},{"title":"Country coefficients (Merchant to Global-e)","sidebarTitle":"Country coefficients","openapi":"api-reference/specs/countrycoefficients.yaml POST /Browsing/CountryCoefficients","href":"/api-reference/country-coefficients"},{"title":"Currencies (Merchant to Global-e)","sidebarTitle":"Currencies","openapi":"api-reference/specs/currencies.yaml POST /Browsing/Currencies","href":"/api-reference/currencies"},{"title":"Currency Rates (Merchant to Global-e)","sidebarTitle":"Currency Rates","openapi":"api-reference/specs/currencyrates.yaml POST /Browsing/CurrencyRates","href":"/api-reference/currency-rates"},{"title":"Location by IP (Merchant to Global-e)","sidebarTitle":"Location by IP","openapi":"api-reference/specs/locationbyip.yaml POST /Browsing/LocationByIP","href":"/api-reference/location-by-ip"},{"title":"Location default culture (Merchant to Global-e)","sidebarTitle":"Location default culture","openapi":"api-reference/specs/locationdefaultculture.yaml POST /Browsing/LocationDefaultCulture","href":"/api-reference/location-default-culture"},{"title":"Locations Default Cultures List (Merchant to Global-e)","sidebarTitle":"Locations Default Cultures List","openapi":"api-reference/specs/locationsdefaultcultureslist.yaml POST /Browsing/LocationsDefaultCulturesList","href":"/api-reference/locations-default-cultures-list"},{"title":"Product Countries (Merchant to Global-e)","sidebarTitle":"Product Countries","openapi":"api-reference/specs/productcountries.yaml POST /Browsing/ProductCountryS","href":"/api-reference/product-countries"},{"title":"Recent Product Countries (Merchant to Global-e)","sidebarTitle":"Recent Product Countries","openapi":"api-reference/specs/recentproductcountries.yaml POST /Browsing/RecentProductCountryS","href":"/api-reference/recent-product-countries"},{"title":"Regions (Merchant to Global-e)","sidebarTitle":"Regions","description":"Returns the list of regions (states or provinces), optionally filtered by country.","openapi":"api-reference/specs/regions.yaml POST /Browsing/Regions","href":"/api-reference/regions"},{"title":"Rounding rules (Merchant to Global-e)","sidebarTitle":"Rounding rules","openapi":"api-reference/specs/roundingrules.yaml POST /Browsing/RoundingRules","href":"/api-reference/rounding-rules"},{"title":"Save products list (Merchant to Global-e)","sidebarTitle":"Save products list","description":"Saves product data on the Global-e system and returns the matching ProductCountry objects for the specified products.","openapi":"api-reference/specs/saveproductslist.yaml POST /Browsing/SaveProductsList","href":"/api-reference/save-products-list"},{"title":"Save Products Bulk (Merchant to Global-e)","sidebarTitle":"Save Products Bulk","openapi":"api-reference/specs/saveproductsbulk.yaml POST /Bulk/SaveProductsBulk","href":"/api-reference/save-products-bulk"},{"title":"Shipping Options (Merchant to Global-e)","sidebarTitle":"Shipping Options","openapi":"api-reference/specs/shippingoptions.yaml POST /Browsing/ShippingOptions","href":"/api-reference/shipping-options"},{"title":"VAT Category Countries (Merchant to Global-e)","sidebarTitle":"VAT Category Countries","openapi":"api-reference/specs/vatcategorycountries.yaml POST /Browsing/VATCategoryCountryS","href":"/api-reference/vat-category-countries"}]},{"group":"Subscriptions","pages":[{"title":"Get subscription and payment reference details (Merchant to Global-e)","sidebarTitle":"Get subscription and payment reference details","openapi":"api-reference/specs/getsubscriptionandpaymentreferencedetails.yaml GET /Payments/Subscriptions/{merchantGuid}","href":"/api-reference/get-subscription-and-payment-reference-details"},{"title":"Subscription notifications (Subscription Manager to Global-e)","sidebarTitle":"Subscription notifications","openapi":"api-reference/specs/subscriptionnotifications.yaml POST /subscriptions/notifications","href":"/api-reference/subscription-notifications"},{"title":"Calculate billing summary (Subscription Manager to Global-e)","sidebarTitle":"Calculate billing summary","openapi":"api-reference/specs/billingsummarycalculate.yaml POST /subscriptions/billing-summary/calculate","href":"/api-reference/calculate-billing-summary"},{"title":"Create recurring payment (Subscription Manager to Global-e)","sidebarTitle":"Create recurring payment","openapi":"api-reference/specs/recurringpayments.yaml POST /subscriptions/recurringPayments","href":"/api-reference/create-recurring-payment"},{"title":"Update a subscription (Subscription Manager to Global-e)","sidebarTitle":"Update a subscription","openapi":"api-reference/specs/updatesubscription.yaml PATCH /subscriptions/{subscriptionId}","href":"/api-reference/update-subscription"}]},{"group":"Webhooks","pages":[{"group":"Orders","pages":[{"title":"Send Order To Merchant (Global-e to Merchant)","sidebarTitle":"Send Order To Merchant","openapi":"api-reference/specs/sendordertomerchant.yaml POST /order-update-create-url","href":"/api-reference/send-order-to-merchant"},{"title":"Send additional required documents to merchant (Global-e to Merchant)","sidebarTitle":"Send additional required documents to merchant","openapi":"api-reference/specs/sendadditionalrequireddocumentstomerchant.yaml POST /send-additional-required-documents-url","href":"/api-reference/send-additional-required-documents-to-merchant"},{"title":"Notify order refund (Global-e to Merchant)","sidebarTitle":"Notify order refund","openapi":"api-reference/specs/notifyorderrefund.yaml POST /order-refund-url","href":"/api-reference/notify-order-refund"},{"title":"Update Order Shipping Info (Global-e to Merchant)","sidebarTitle":"Update Order Shipping Info","openapi":"api-reference/specs/updateordershippinginfo.yaml POST /order-shipping-info-update-only-url","href":"/api-reference/update-order-shipping-info"},{"title":"Update Order Status (Global-e to Merchant)","sidebarTitle":"Update Order Status","openapi":"api-reference/specs/updateorderstatusfromglobale.yaml POST /order-status-update-url","href":"/api-reference/update-order-status-from-globale"},{"title":"Send RMA Info to Merchant (Global-e to Merchant)","sidebarTitle":"Send RMA Info to Merchant","openapi":"api-reference/specs/sendrmainfomerchant.yaml POST /rma-info-to-merchant-url","href":"/api-reference/send-rma-info-merchant"},{"title":"Perform Order Payment (Global-e to Merchant)","sidebarTitle":"Perform Order Payment","openapi":"api-reference/specs/performorderpayment.yaml POST /order-payment-only-url","href":"/api-reference/perform-order-payment"}]},{"group":"Checkout \u0026 Cart","pages":[{"title":"Get Checkout Cart Info (Global-e to Merchant)","sidebarTitle":"Get Checkout Cart Info","openapi":"api-reference/specs/getcheckoutcartinfo.yaml GET /get-checkout-cart-info-url","href":"/api-reference/get-checkout-cart-info"},{"title":"Validate Stock (Global-e to Merchant)","sidebarTitle":"Validate Stock","openapi":"api-reference/specs/validatestock.yaml POST /checkout-validate-cart-stock-url","href":"/api-reference/validate-stock"},{"title":"ValidateVoucher (Global-e to Merchant)","sidebarTitle":"ValidateVoucher","openapi":"api-reference/specs/validatevoucher.yaml POST /checkout-validate-cart-voucher-url","href":"/api-reference/validate-voucher"},{"title":"Client apply loyalty vouchers (Global-e to Merchant)","sidebarTitle":"Client apply loyalty vouchers","openapi":"api-reference/specs/clientapplyloyaltyvouchers.yaml POST /ClientApplyLoyaltyVouchers","href":"/api-reference/client-apply-loyalty-vouchers"},{"title":"RemoveRestrictedProducts (Global-e to Merchant)","sidebarTitle":"RemoveRestrictedProducts","openapi":"api-reference/specs/removerestrictedproducts.yaml POST /remove-restricted-products-url","href":"/api-reference/remove-restricted-products"}]},{"group":"Fulfillment","pages":[{"title":"Update Parcel Dispatch","openapi":"api-reference/specs/updateparceldispatch.yaml POST /UpdateParcelDispatch","href":"/api-reference/update-parcel-dispatch"}]},{"group":"Subscriptions","pages":[{"title":"Recurring payment notifications (Global-e to Subscription Manager)","sidebarTitle":"Recurring payment notifications","openapi":"api-reference/specs/recurringpaymentnotifications.yaml POST /subscriptions/recurringPayments/notifications","href":"/api-reference/recurring-payment-notifications"}]}]},{"group":"Shared Objects","pages":[{"title":"Attributes","href":"/api-reference/objects/attributes"},{"title":"BillingDetails","href":"/api-reference/objects/billing-details"},{"title":"Brand","href":"/api-reference/objects/brand"},{"title":"Category","href":"/api-reference/objects/category"},{"title":"DiscountsList","href":"/api-reference/objects/discounts-list"},{"title":"Parcel","href":"/api-reference/objects/parcel"},{"title":"ShippingDetails","href":"/api-reference/objects/shipping-details"},{"title":"UserIdNumberType","href":"/api-reference/objects/user-id-number-type"},{"title":"VATRateType","href":"/api-reference/objects/vat-rate-type"}]}]}]},"basePath":"","title":"Rounding rules (Merchant to Global-e) - Global-e Docs","buildId":"dpl_G9nrg4qeJSZtah1Ziwbc2n6WkLch","deploymentId":"dpl_G9nrg4qeJSZtah1Ziwbc2n6WkLch","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-B7XKH4J3.js","utils-lOYzL7z-.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DF6jUUIM.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Dpsj5f7C.js","snippetPresets-CYeiDe8v.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CUFz1YZ_.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-D8H_iLS4.js","shallow-DdluZBHX.js","getApiPlaygroundDisplay-B9922vev.js","CodeSnippet-CMoRNGYs.js","CodeSnippets-DwyrPHuw.js","Page-DSVu9Ucl.js","getPastedJson-G-zIvlHh.js","icon-B03fnEy0.js","MethodPill-CW7teklc.js","DuplicateIcon-CtO8eekd.js","createIcon-DZTKdM_A.js","DynamicMarkdown-D5M2At0B.js","SectionHeading-C_2NaA2U.js","axios-vUo_bRtp.js","Markdown-D7QRHV3m.js","clsx-D1Z-ELXV.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-lvhuD9Du.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-CKfC4ywL.js"]}